# List financial invoices

Retrieves a paginated list of <a href="https://docs.solidgate.com/finance/financial-reports/financial-invoices/" target="_blank">financial invoices</a>. This endpoint requires an account-level API key.

Endpoint: POST /financial-invoices/list
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `filters` (object)
    Filters for financial invoices.

  - `filters.legal_entity_id` (object)
    Operator and value for legal entity identifier filter.

  - `filters.legal_entity_id.operator` (string, required)
    Comparison operator.
    Enum: "EQ", "NEQ", "IN"

  - `filters.legal_entity_id.value` (string, required)
    Identifier of the legal entity the financial invoices were sent to. Use a comma-separated list with the `IN` operator.
    Example: le_01JZ9F3H8KQWE5T6Y7R2M4N0BX

  - `filters.currency` (object)
    Operator and value for financial invoice currency filter.

  - `filters.currency.operator` (string, required)
    Comparison operator.
    Enum: "EQ", "NEQ", "IN"

  - `filters.currency.value` (string, required)
    Currency in ISO 4217 alphabetic code. Use a comma-separated list with the `IN` operator.
    Example: EUR

  - `filters.period` (object)
    Operator and value for financial invoice period filter. Matches financial invoices whose date range lies within the range.

  - `filters.period.operator` (string, required)
    Comparison operator.
    Enum: "RANGE"

  - `filters.period.value` (object, required)
    Inclusive range the financial invoice period must lie within.

  - `filters.period.value.from` (string, required)
    Earliest date of the range.
    Example: 2026-01-01

  - `filters.period.value.to` (string, required)
    Latest date of the range.
    Example: 2026-01-31

  - `filters.uploaded_at` (object)
    Operator and value for financial invoice upload date filter.

  - `filters.uploaded_at.operator` (string, required)
    Comparison operator.
    Enum: "RANGE"

  - `filters.uploaded_at.value` (object, required)
    Inclusive range of financial invoice upload dates.

  - `filters.uploaded_at.value.from` (string, required)
    Earliest date of the range.
    Example: 2026-01-01

  - `filters.uploaded_at.value.to` (string, required)
    Latest date of the range.
    Example: 2026-01-31

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 200 fields (application/json):

  - `items` (array)
    List of financial invoices for the current page.

  - `items.id` (string, required)
    Unique financial invoice identifier.
    Example: finv_01KM4X2H8KQWE5T6Y7R2M4N0BX

  - `items.provider_invoice_id` (string)
    Unique identifier for the invoice assigned by the provider.
    Example: 3949509271EUR035

  - `items.provider` (string, required)
    Provider that sent the financial invoice.
    Example: CHECKOUT

  - `items.legal_entity_id` (string, required)
    Identifier of the legal entity the financial invoice was sent to.
    Example: le_01JZ9F3H8KQWE5T6Y7R2M4N0BX

  - `items.currency` (string)
    Currency of the financial invoice in ISO 4217 alphabetic code. Absent when the provider does not report the currency.
    Example: EUR

  - `items.period_from` (string)
    First day of the date range the financial invoice covers. Absent when the provider does not report the period.
    Example: 2026-08-01

  - `items.period_to` (string)
    Last day of the date range the financial invoice covers. Absent when the provider does not report the period.
    Example: 2026-08-31

  - `items.uploaded_at` (string, required)
    Date and time of the financial invoice upload.
    Example: 2026-09-01T05:10:24.997513Z

  - `items.created_at` (string, required)
    Date and time when the financial invoice was created.
    Example: 2026-09-01T08:47:15.698447Z

  - `items.updated_at` (string, required)
    Date and time when the financial invoice was last updated.
    Example: 2026-09-01T10:00:00.000000Z

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: One or more fields failed validation due to constraints

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: Credentials are invalid or missing

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: Permission denied

## Response 429 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "RATE_LIMIT"

  - `message` (string, required)
    Message describing the error.
    Example: Rate limit exhausted

  - `context` (object)
    Additional context about the error.

  - `context.next_try_at` (string)
    Timestamp indicating when to retry the request.
    Example: 2024-12-31T23:59:59.000000Z

